Loading...
Searching...
No Matches
RDKit::GeneralizedSubstruct Namespace Reference

## Classes

struct | ExtendedQueryMol

## Functions

RDKIT_GENERALIZEDSUBSTRUCT_EXPORT ExtendedQueryMol | createExtendedQueryMol (const RWMol &mol, bool doEnumeration=true, bool doTautomers=true, bool adjustQueryProperties=false, MolOps::AdjustQueryParameters params={})
| Creates an ExtendedQueryMol from the input molecule.
RDKIT_GENERALIZEDSUBSTRUCT_EXPORT std::vector< MatchVectType > | SubstructMatch (const ROMol &mol, const ExtendedQueryMol &query, const SubstructMatchParameters &params=SubstructMatchParameters())
| does a substructure search with an ExtendedQueryMol
RDKIT_GENERALIZEDSUBSTRUCT_EXPORT std::unique_ptr< ExplicitBitVect > | patternFingerprintTargetMol (const ROMol &mol, unsigned int fpSize=2048U)
| Fingerprints a target molecule.
bool | hasSubstructMatch (const ROMol &mol, const ExtendedQueryMol &query, const SubstructMatchParameters &params=SubstructMatchParameters())
| checks if a molecule has a match to an ExtendedQueryMol

## Function Documentation

## createExtendedQueryMol()

RDKIT_GENERALIZEDSUBSTRUCT_EXPORT ExtendedQueryMol RDKit::GeneralizedSubstruct::createExtendedQueryMol | ( | const RWMol & | mol,
|  | bool | doEnumeration = true,
|  | bool | doTautomers = true,
|  | bool | adjustQueryProperties = false,
|  | MolOps::AdjustQueryParameters | params = {} )

Creates an ExtendedQueryMol from the input molecule.

This takes a query molecule and, conceptually, performs the following steps to produce an ExtendedQueryMol:

1. Enumerates features like Link Nodes and SRUs
2. Converts everything into TautomerQueries
3. Runs adjustQueryProperties()

Each step is optional

Parameters

  mol | the molecule to start with
  doEnumeration | enumerate features like Link Nodes and SRUs
  doTautomers | generate TautomerQueries
  adjustQueryProperties | call adjustQueryProperties on each of the results
  params | AdjustQueryParameters object controlling the operation of adjustQueryProperties

Returns
  The new ExtendedQueryMol

References RDKIT_GENERALIZEDSUBSTRUCT_EXPORT.

## hasSubstructMatch()

bool RDKit::GeneralizedSubstruct::hasSubstructMatch | ( | const ROMol & | mol,
|  | const ExtendedQueryMol & | query,
|  | const SubstructMatchParameters & | params = SubstructMatchParameters() )

inline

checks if a molecule has a match to an ExtendedQueryMol

Definition at line 114 of file XQMol.h.

References RDKit::SubstructMatchParameters::maxMatches, and SubstructMatch().

## patternFingerprintTargetMol()

RDKIT_GENERALIZEDSUBSTRUCT_EXPORT std::unique_ptr< ExplicitBitVect > RDKit::GeneralizedSubstruct::patternFingerprintTargetMol | ( | const ROMol & | mol,
|  | unsigned int | fpSize = 2048U )

Fingerprints a target molecule.

## SubstructMatch()

RDKIT_GENERALIZEDSUBSTRUCT_EXPORT std::vector< MatchVectType > RDKit::GeneralizedSubstruct::SubstructMatch | ( | const ROMol & | mol,
|  | const ExtendedQueryMol & | query,
|  | const SubstructMatchParameters & | params = SubstructMatchParameters() )

does a substructure search with an ExtendedQueryMol

References RDKIT_GENERALIZEDSUBSTRUCT_EXPORT.

Referenced by hasSubstructMatch().